Subject: Re: [dhcwg] RFC 6925 on The DHCPv4 Relay Agent Identifier Sub-Option

From: Bharat Joshi <[email-masked]>
Date: Mon, 6 May 2013 08:34:46 +0000

Dear Simon,

      Sorry for a delayed reply.

       This RFC creates a single unique identifier to identify Relay Agent in a network. Before RFC 6925, no such unique identifier existed for relay agents. Note that a single relay agent may use multiple Giaddrs. Relay-id is especially useful for bulk lease query (RFC 6926). Please refer Section 3.1 for more details.

     Please note that Relay-ID itself is not expected to uniquely identify DHCP client. For that as mentioned in Section 3.2:

"A straightforward way to form identifier information is
 to combine something that is unique within the scope of the network
 element, such as a port/slot value, with something that uniquely
 identifies that network element, such as a Relay Agent Identifier."

       In case of factory floor network, we are suggesting that relay-id option should be used if the DHCP server policies require to identify the relay agent device during allocation. A relay agent might have multiple 'Giaddr'. In such a case, a DHCP server may end up having as many similar policies as the number of Giaddrs in a relay agent.

       Also, if factory floor networks uses relay-id, relay agents can use Bulk lease query when they reboots to learn back all the leases.

Regards,
Bharat
________________________________________
From: [email-masked] [[email-masked]] on behalf of Simon Hobson [[email-masked]]
Sent: Tuesday, April 30, 2013 4:26 PM
To: [email-masked]
Subject: Re: [dhcwg] RFC 6925 on The DHCPv4 Relay Agent Identifier Sub-Option

>This document defines a new Relay Agent Identifier sub-option for the
>Dynamic Host Configuration Protocol (DHCP) Relay Agent Information
>option.  The sub-option carries a value that uniquely identifies the
>relay agent device within the administrative domain.

I'm not clear what problem this is trying to solve, and how it's going to do it.

In the case of the factory floor network, I can't see what this identifier provides that's not already provided by the GI-Addr field. In the general case knowing the relay agent identifier won't narrow down the location of the client any further than GI-Addr. In the case where the relay agent serves multiple remote networks, it would appear that the agent identifier will be less specific than the GI-Addr.
If the clients are connected to a switch, and so multiple clients can be served by one interface, then only the switch would know the locations - and could insert Option-82 into client requests. The relay agent will not know the location (switch port) unless the switch informs it by (eg) inserting something like Option-82.

Or have I missed something ?
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***